package com.zanxiang.game.module.manage.rpc.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.api.R;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zanxiang.game.module.base.pojo.dto.SendMsgDto;
import com.zanxiang.game.module.base.util.PageUtil;
import com.zanxiang.game.module.base.pojo.params.SendMsgTaskParam;
import com.zanxiang.game.module.base.pojo.vo.SendMsgVo;
import com.zanxiang.game.module.base.rpc.ICPSendMsgRpc;
import com.zanxiang.game.module.manage.enums.CpSendMsgTaskStatusEnum;
import com.zanxiang.game.module.manage.enums.CpSendMsgTaskTypeEnum;
import com.zanxiang.game.module.manage.pojo.vo.CpVO;
import com.zanxiang.game.module.manage.service.ICPSendMsgTaskService;
import com.zanxiang.game.module.mybatis.entity.CpSendMsgTask;
import com.zanxiang.module.util.bean.BeanUtil;
import com.zanxiang.module.util.pojo.ResultVO;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.DubboService;

import javax.annotation.Resource;
import java.time.LocalDateTime;
import java.time.ZoneId;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;

@DubboService
@Slf4j
public class CpSendMsgRpcImpl implements ICPSendMsgRpc {

    @Resource
    private ICPSendMsgTaskService sendMsgTaskService;

    @Override
    public ResultVO<Boolean> sendMsg(SendMsgDto sendMsgDto) {
       return sendMsgTaskService.sendMsg(sendMsgDto);
    }

    @Override
    public PageUtil<SendMsgVo> getSendMsgTaskList(SendMsgTaskParam param) {
       return sendMsgTaskService.getSendMsgTaskList(param);
    }







}
